Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# PortableServer::ServantManager Class Reference

`#include <PortableServerC.h>`

Inheritance diagram for PortableServer::ServantManager:

[legend]
Collaboration diagram for PortableServer::ServantManager:

[legend]
List of all members.

## Public Types
typedef ServantManager_ptr | _ptr_type
typedef ServantManager_var | _var_type
## Public Methods
virtual CORBA::Boolean | _is_a (const char *type_id ACE_ENV_ARG_DECL_WITH_DEFAULTS)
virtual const char * | _interface_repository_id (void) const
virtual CORBA::Boolean | marshal (TAO_OutputCDR &cdr)
## Static Public Methods
ServantManager_ptr | _duplicate (ServantManager_ptr obj)
ServantManager_ptr | _narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
ServantManager_ptr | _nil (void)
void | _tao_any_destructor (void *)
## Protected Methods
| ServantManager (void)
virtual | ~ServantManager (void)
## Private Methods
| ServantManager (const ServantManager &)
void | operator= (const ServantManager &)

## Member Typedef Documentation

typedef ServantManager_ptr PortableServer::ServantManager::_ptr_type

| Reimplemented from CORBA::Object. Reimplemented in PortableServer::ServantActivator, and PortableServer::ServantLocator.

typedef ServantManager_var PortableServer::ServantManager::_var_type

| Reimplemented from CORBA::Object. Reimplemented in PortableServer::ServantActivator, and PortableServer::ServantLocator.

## Constructor & Destructor Documentation

PortableServer::ServantManager::ServantManager | ( | void |  | ) | `[protected]`

PortableServer::ServantManager::~ServantManager | ( | void |  | ) | `[protected, virtual]`

PortableServer::ServantManager::ServantManager | ( | const ServantManager & |  | ) | `[private]`

## Member Function Documentation

PortableServer::ServantManager_ptr PortableServer::ServantManager::_duplicate | ( | ServantManager_ptr | obj | ) | `[static]`

const char * PortableServer::ServantManager::_interface_repository_id | ( | void |  | ) | const`[virtual]`

| Reimplemented from CORBA::Object. Reimplemented in PortableServer::ServantActivator, and PortableServer::ServantLocator.

virtual CORBA::Boolean PortableServer::ServantManager::_is_a | ( | const char *type_id | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[virtual]`

| Reimplemented in PortableServer::ServantActivator, and PortableServer::ServantLocator.

ServantManager_ptr PortableServer::ServantManager::_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

| Reimplemented from CORBA::Object. Reimplemented in PortableServer::ServantActivator, and PortableServer::ServantLocator.

ServantManager_ptr PortableServer::ServantManager::_nil | ( | void |  | ) | `[inline, static]`

| Reimplemented from CORBA::Object. Reimplemented in PortableServer::ServantActivator, and PortableServer::ServantLocator.

void PortableServer::ServantManager::_tao_any_destructor | ( | void * |  | ) | `[static]`

| Reimplemented from CORBA::Object. Reimplemented in PortableServer::ServantActivator, and PortableServer::ServantLocator.

CORBA::Boolean PortableServer::ServantManager::marshal | ( | TAO_OutputCDR & | cdr | ) | `[virtual]`

| Reimplemented from CORBA::Object. Reimplemented in PortableServer::ServantActivator, and PortableServer::ServantLocator.

void PortableServer::ServantManager::operator= | ( | const ServantManager & |  | ) | `[private]`

The documentation for this class was generated from the following files:

- PortableServerC.h
- PortableServerC.cpp